Skip to main content
GET
/
api
/
{exchange}
/
fetchClosedOrders
import pmxt

# API key optional — enables faster catalog-backed lookups
exchange = pmxt.Polymarket(
    pmxt_api_key="YOUR_PMXT_API_KEY",
)
result = exchange.fetch_closed_orders(
    market_id="12345",
    since="value",
    until="value",
    limit=10,
    cursor="abc123",
)
{
  "success": true,
  "error": {
    "message": "<string>"
  },
  "data": [
    {
      "id": "<string>",
      "marketId": "<string>",
      "outcomeId": "<string>",
      "amount": 123,
      "filled": 123,
      "remaining": 123,
      "timestamp": 123,
      "price": 123,
      "filledShares": 123,
      "fee": 123,
      "feeRateBps": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://pmxt.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

exchange
enum<string>
required

The prediction market exchange to target.

Available options:
polymarket,
kalshi,
kalshi-demo,
limitless,
probable,
baozi,
myriad,
opinion,
metaculus,
smarkets,
polymarket_us,
gemini-titan,
hyperliquid,
suibets,
mock,
router

Query Parameters

marketId
string

required for Limitless (slug)

since
string<date-time>

Only return records after this date

until
string<date-time>

Only return records before this date

limit
number

Maximum number of results to return

cursor
string

Opaque pagination cursor from a previous response

Response

200 - application/json

Fetch Closed Orders response

success
boolean
Example:

true

error
object
data
object[]